Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.portal.cataloguemanager.model
Class CICitation

    java.lang.Object
      org.deegree.portal.cataloguemanager.model.CICitation

    public class CICitation

extends Object

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element ref="{http://www.isotc211.org/2005/gmd}title"/>
             <element ref="{http://www.isotc211.org/2005/gmd}date" maxOccurs="unbounded"/>
             <element ref="{http://www.isotc211.org/2005/gmd}identifier" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected List<Date>` | `date`
`protected Identifier` | `identifier`
`protected Title` | `title`

Constructor Summary
`CICitation()`

Method Summary
`List<Date>` | `getDate()` Gets the value of the date property.
`Identifier` | `getIdentifier()` Gets the value of the identifier property.
`Title` | `getTitle()` Gets the value of the title property.
`void` | `setIdentifier(Identifier value)` Sets the value of the identifier property.
`void` | `setTitle(Title value)` Sets the value of the title property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### title

    protected Title title

### date

    protected List<Date> date

### identifier

    protected Identifier identifier

Constructor Detail

### CICitation

    public CICitation()

Method Detail

### getTitle

    public Title getTitle()

  Gets the value of the title property.

  Returns:
    possible object is `Title`

### setTitle

    public void setTitle(Title value)

  Sets the value of the title property.

  Parameters:
    `value` - allowed object is `Title`

### getDate

    public List<Date> getDate()

  Gets the value of the date property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the date property.

  For example, to add a new item, do as follows:

          getDate().add(newItem);

  Objects of the following type(s) are allowed in the list `Date`

### getIdentifier

    public Identifier getIdentifier()

  Gets the value of the identifier property.

  Returns:
    possible object is `Identifier`

### setIdentifier

    public void setIdentifier(Identifier value)

  Sets the value of the identifier property.

  Parameters:
    `value` - allowed object is `Identifier`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org